<div class="container">

    <h2>Ergebnisse</h2>

    <form class="ng-cloak" name="scoreboard" id="scoreboard" novalidate>
        <div class="table-scoresheet-input">
            <header>
                <div class="index"></div>
                <div class="label-home">Heim</div>
                <div class="label-devider"></div>
                <div class="label-guest">Gast</div>
                <div class="set">Satz 1</div>
                <div class="label-devider"></div>
                <div class="set">Satz 2</div>
            </header>

            <div class="game" ng-repeat="match in scoresheet.matches" ng-class="{'-active': activeMatch.match.game == $index}" ng-click="activeMatch.set($index)">
                <div class="index">
                    <label for="">{{$index + 1}}.</label>
                </div>
                <div class="label-home" width="">
                    <p>{{match.player.home_a | friendlyPlayerName}}<br/>{{match.player.home_b | friendlyPlayerName}}</p>
                </div>
                <div class="label-devider">
                    <p>vs</p>
                </div>
                <div class="label-guest">
                    <p>{{match.player.guest_a | friendlyPlayerName}}<br/>{{match.player.guest_b | friendlyPlayerName}}
                    </p>
                </div>

                <div class="set">
                    <div class="score-home-1">
                        <select required size="1" class="score"
                                ng-model="match.score[0].home" ng-change="changeValue($index, 0, 'home')" convert-to-number>
                            <option value=""></option>
                            <option value="0">0</option>
                            <option value="1">1</option>
                            <option value="2">2</option>
                            <option value="3">3</option>
                            <option value="4">4</option>
                            <option value="5" ng-hide="match.score[0].guest == 5">5</option>
                        </select>
                    </div>
                    <div class="score-guest-1">
                        <select required size="1" class="score"
                                ng-model="match.score[0].guest" ng-change="changeValue($index, 0, 'guest')" convert-to-number>
                            <option value=""></option>
                            <option value="0">0</option>
                            <option value="1">1</option>
                            <option value="2">2</option>
                            <option value="3">3</option>
                            <option value="4">4</option>
                            <option value="5" ng-hide="match.score[0].home == 5">5</option>
                        </select>
                    </div>
                </div>
                <div class="label-devider"></div>
                <div class="set">
                    <div class="score-home-2">
                        <select required size="1" class="score"
                                ng-model="match.score[1].home" ng-change="changeValue($index, 1, 'home')" convert-to-number>
                            <option value=""></option>
                            <option value="0">0</option>
                            <option value="1">1</option>
                            <option value="2">2</option>
                            <option value="3">3</option>
                            <option value="4">4</option>
                            <option value="5" ng-hide="match.score[1].guest == 5">5</option>
                        </select>
                    </div>
                    <div class="score-guest-2">
                        <select required size="1" class="score"
                                ng-model="match.score[1].guest" ng-change="changeValue($index, 1, 'guest')" convert-to-number>
                            <option value=""></option>
                            <option value="0">0</option>
                            <option value="1">1</option>
                            <option value="2">2</option>
                            <option value="3">3</option>
                            <option value="4">4</option>
                            <option value="5" ng-hide="match.score[1].home == 5">5</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>

        <section
                ng-show="scoresheet.gameType === 'custom' && scoresheet.team_home.set === 10 && scoresheet.team_guest.set === 10 ">
            <hr/>

            <h2>Entscheidungsspiel (optional)</h2>

            <div class="row">
                <div class="col-sm-7">
                    <p>Das Entscheidungsspiel wird über 2 Gewinnsätze bis 5 ausgetragen. Die Spieler werden von
                        den Teams selbst bestimmt
                        <em>(<strong>Pokal Reglement</strong>, "Ablauf am Pokal-Spieltag 6.2")</em>.</p>
                    <p>Den Gewinner bitte hier auswählen.</p>
                </div>
                <div class="col-sm-5">
                    <div class="select-group">

                        <select size="1" id="suddenDeath" name="suddenDeath" class="select-form"
                                ng-model="scoresheet.suddenDeath">
                            <option value=""></option>
                            <option value="{{scoresheet.team_home.name}}">{{scoresheet.team_home.name}}</option>
                            <option value="{{scoresheet.team_guest.name}}">{{scoresheet.team_guest.name}}
                            </option>
                        </select>

                        <label data-icon="angle-down" for="suddenDeath"></label>
                    </div>
                </div>
            </div>
        </section>

        <hr/>

        <nav class="container-button" data-grid="3">
            <div></div>
            <div></div>
            <div>
                <button type="submit" id="checkScore" ng-click="submitForm(scoreboard.$valid, $event)">
                    <span class="btn-kkl">Zusammenfassung</span>
                </button>
            </div>
        </nav>

    </form>

</div>